unit PrefsGlobals;

interface

	const
		prefsCreator = 'PnLF';

implementation

	uses
		MyUtils;

	procedure ValidatePrefs (var prefs: prefsRecord);
		var
			i: integer;
	begin
		with prefs do begin
			if version < $010 then begin
				showIP := false;
				autoopen := false;
			end;
			if version < $015 then begin
				paid := false;
				fingers := 0;
				transferred := 0;
				GetDateTime(first_date);
			end;
			version := prefs_version;
			dummy_4 := false;
			for i := 1 to 138 do begin
				dummy[i] := 0;
			end;
		end;
	end;

end.